# pyftpsync
[![Build Status](https://travis-ci.org/mar10/pyftpsync.svg?branch=master)](https://travis-ci.org/mar10/pyftpsync)
[![Latest Version](https://img.shields.io/pypi/v/pyftpsync.svg)](https://pypi.python.org/pypi/pyftpsync/)
[![License](https://img.shields.io/pypi/l/pyftpsync.svg)](https://github.com/mar10/pyftpsync/blob/master/LICENSE.txt)
[![Documentation Status](https://readthedocs.org/projects/pyftpsync/badge/?version=latest)](https://pyftpsync.readthedocs.io/)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/ambv/black)

> Synchronize directories using FTP(S) or file system access.

[ ![sample](teaser.png?raw=true) ](https://github.com/mar10/pyftpsync "Live demo")


## Summary

Synchronize directories using FTP(S) or file system access.

  * This is a command line tool...
  * ... and a library for use in your Python projects.
  * Upload, download, and bi-directional synch mode.
  * Allows FTP-to-FTP and Filesystem-to-Filesystem synchronization as well.
  * Architecture is open to add other target types.

**Note:** Version 3.0 introduces *breaking changes* to 2.x.
Make sure to adjust your scripts accordingly after update.


## Quickstart

[Python](https://www.python.org/download/Python) 2.7+ or 3.4+ is required,
[pip](http://www.pip-installer.org/) recommended:

```bash
$ pip install pyftpsync --upgrade
$ pyftpsync --help
```

**Note:** Windows users may prefer the 
[MSI Installer](https://github.com/mar10/pyftpsync/releases/latest).


## Documentation

[Read the Docs](https://pyftpsync.readthedocs.io/) for details.
